<?php
/**
 * User: dev
 * Date: 3/11/14
 * Time: 9:00 AM
 */

namespace Blackjack\Config;


class Config {
    private $_config = array(
        'salt'                  => 'bc29065419d68b9c726839af3e8ed6e9c40024f32c1808447e1906de84e3c2b9', #echo 'latrax powered by traxxas' | sha256sum --
        'cryptAlgorithm'        => 'RSA512',
        'logError'              => false,
        'maxNumDecks'           => 8,
        'maxHandsPerPlayer'     => 2,
        'maxNameLength'         => 15,
        'cardShuffleFraction'   => 0.1, //Shuffle shoe when 10% of cards are picked.
    );

    public function __get($configKey)
    {
        if (!array_key_exists($configKey, $this->_config))
            return null;

        return $this->_config[$configKey];
    }

    public function __set($key, $value)
    {
        throw new \ErrorException("Configuration values cannot be set at runtime.");
    }

    public function __isset($key)
    {
        return isset($this->_config[$key]);
    }
}